import type { BasePluginArgs, DatabasePlugin, DatabasePluginHooks } from "@code-updater/plugin-core";
export interface RouteConfig {
    path: string;
    headers?: Record<string, string>;
}
export interface Routes {
    upsert: () => RouteConfig;
    list: () => RouteConfig;
    retrieve: (bundleId: string) => RouteConfig;
}
export interface StandaloneRepositoryConfig {
    baseUrl: string;
    commonHeaders?: Record<string, string>;
    routes?: Routes;
}
export declare const standaloneRepository: (config: StandaloneRepositoryConfig, hooks?: DatabasePluginHooks) => (_: BasePluginArgs) => DatabasePlugin;
